﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace F004
{
    public partial class Form1 : Form
    {
        public  DockableControlPane dcpButton_1;
        public Form1()
        {
            InitializeComponent();

            dcpButton_1 = new DockableControlPane("Key1", "Button_1");

            DockableControlPane dcpButton_2 = new DockableControlPane("Key2", "Button_2");

            
            // Right side - Unpin area
            DockableGroupPane dgpRight = new DockableGroupPane();
            dgpRight.ChildPaneStyle = ChildPaneStyle.HorizontalSplit;
            dgpRight.GroupSettings.CaptionLocation = Infragistics.Win.UltraWinDock.Location.Top;
            dgpRight.Panes.Add(dcpButton_1);
            dgpRight.Panes.Add(dcpButton_2);

            

            DockAreaPane dapRight = new DockAreaPane(DockedLocation.DockedRight);
            dapRight.Panes.Add(dgpRight);
            dapRight.ChildPaneStyle = ChildPaneStyle.HorizontalSplit;

            this.ultraDockManager1.DockAreas.Add(dapRight);

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            dcpButton_1.Size = new Size(dcpButton_1.Size.Width, dcpButton_1.Size.Height + 100); 
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            dcpButton_1.Size = new Size(dcpButton_1.Size.Width, dcpButton_1.Size.Height - 100); 
        }
    }
}
